Enables or disables required Google Cloud services and configures agent observability settings.
HTTP request
POST https://geminidataanalytics.googleapis.com/v1beta/{parent=projects/*/locations/*}/observabilitySettings:setAgentOpsObservability
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The project and location for which to set agent observability settings. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "telemetryEnabled": boolean, "dataSourceType": string, "bqaaEnabled": boolean, "updateMask": string } |
| Fields | |
|---|---|
telemetryEnabled |
Optional. Whether to enable or disable agent observability. If you provide |
dataSourceType |
Required. The data source type for which to set observability settings. The only supported value is |
bqaaEnabled |
Optional. Whether BigQuery Agent Analytics is enabled. To change this field, include This project-level setting doesn't enable trace logging for individual agents. Trace logging for each agent is controlled by the |
updateMask |
Optional. The fields to overwrite in the update, relative to the resource. A field is overwritten only if it is in the mask. If you don't provide a mask, only The mask follows AIP-161:
This is a comma-separated list of fully qualified names of fields. Example: |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.